Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAxisActor2D Class Reference

`#include <vtkAxisActor2D.h>`

Inheritance diagram for vtkAxisActor2D:

[legend]
Collaboration diagram for vtkAxisActor2D:

[legend]
List of all members.

## Detailed Description

Create an axis with tick marks and labels.

Date:
  2002/11/11 21:41:40

Revision:
  1.29

vtkAxisActor2D creates an axis with tick marks, labels, and/or a title, depending on the particular instance variable settings. vtkAxisActor2D is a 2D actor; that is, it is drawn on the overlay plane and is not occluded by 3D geometry. To use this class, you typically specify two points defining the start and end points of the line (x-y definition using vtkCoordinate class), the number of labels, and the data range (min,max). You can also control what parts of the axis are visible including the line, the tick marks, the labels, and the title. You can also specify the label format (a printf style format).

This class decides what font size to use and how to locate the labels. It also decides how to create reasonable tick marks and labels. The number of labels and the range of values may not match the number specified, but should be close.

Labels are drawn on the "right" side of the axis. The "right" side is the side of the axis on the right as you move from Position to Position2. The way the labels and title line up with the axis and tick marks depends on whether the line is considered horizontal or vertical.

The vtkActor2D instance variables Position and Position2 are instances of vtkCoordinate. Note that the Position2 is an absolute position in that class (it was by default relative to Position in vtkActor2D).

What this means is that you can specify the axis in a variety of coordinate systems. Also, the axis does not have to be either horizontal or vertical. The tick marks are created so that they are perpendicular to the axis.

Set the text property/attributes of the title and the labels through the vtkTextProperty objects associated to this actor.

See also:
  vtkAxisActor3D can be used to create axes in world coordinate space. vtkActor2D vtkTextMapper vtkPolyDataMapper2D vtkScalarBarActor vtkCoordinate vtkTextProperty

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Barre, Sebastien (42%)
  - Schroeder, Will (36%)
  - Lee, Jeff (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkAxisActor2D.cxx)`
  - .`h` (`/Rendering/vtkAxisActor2D.h)`

Definition at line 83 of file vtkAxisActor2D.h.

## Public Types
typedef vtkActor2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ReleaseGraphicsResources (vtkWindow *)
void | ShallowCopy (vtkProp *prop)
virtual vtkCoordinate * | GetPoint1Coordinate ()
virtual void | SetPoint1 (float x[2])
virtual void | SetPoint1 (float x, float y)
virtual float * | GetPoint1 ()
virtual vtkCoordinate * | GetPoint2Coordinate ()
virtual void | SetPoint2 (float x[2])
virtual void | SetPoint2 (float x, float y)
virtual float * | GetPoint2 ()
virtual void | SetRange (float, float)
void | SetRange (float[2])
virtual float * | GetRange ()
virtual void | GetRange (float data[2])
virtual void | SetNumberOfLabels (int)
virtual int | GetNumberOfLabels ()
virtual void | SetLabelFormat (const char *)
virtual char * | GetLabelFormat ()
virtual void | SetAdjustLabels (int)
virtual int | GetAdjustLabels ()
virtual void | AdjustLabelsOn ()
virtual void | AdjustLabelsOff ()
virtual float * | GetAdjustedRange ()
virtual void | GetAdjustedRange (float &_arg1, float &_arg2)
virtual void | GetAdjustedRange (float _arg[2])
virtual int | GetAdjustedNumberOfLabels ()
virtual void | SetTitle (const char *)
virtual char * | GetTitle ()
virtual void | SetTitleTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetTitleTextProperty ()
virtual void | SetLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetLabelTextProperty ()
virtual void | SetFontFamily (int val)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
virtual void | SetBold (int val)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int val)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int val)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
virtual void | SetTickLength (int)
virtual int | GetTickLength ()
virtual void | SetTickOffset (int)
virtual int | GetTickOffset ()
virtual void | SetAxisVisibility (int)
virtual int | GetAxisVisibility ()
virtual void | AxisVisibilityOn ()
virtual void | AxisVisibilityOff ()
virtual void | SetTickVisibility (int)
virtual int | GetTickVisibility ()
virtual void | TickVisibilityOn ()
virtual void | TickVisibilityOff ()
virtual void | SetLabelVisibility (int)
virtual int | GetLabelVisibility ()
virtual void | LabelVisibilityOn ()
virtual void | LabelVisibilityOff ()
virtual void | SetTitleVisibility (int)
virtual int | GetTitleVisibility ()
virtual void | TitleVisibilityOn ()
virtual void | TitleVisibilityOff ()
virtual void | SetFontFactor (float)
virtual float | GetFontFactor ()
virtual void | SetLabelFactor (float)
virtual float | GetLabelFactor ()
int | RenderOverlay (vtkViewport *viewport)
int | RenderOpaqueGeometry (vtkViewport *viewport)
int | RenderTranslucentGeometry (vtkViewport *)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkAxisActor2D * | SafeDownCast (vtkObject *o)
vtkAxisActor2D * | New ()
void | ComputeRange (float inRange[2], float outRange[2], int inNumTicks, int &outNumTicks, float &interval)
int | SetFontSize (vtkViewport *viewport, vtkTextMapper *textMapper, int *targetSize, float factor, int *stringSize)
int | SetMultipleFontSize (vtkViewport *viewport, vtkTextMapper **textMappers, int nbOfMappers, int *targetSize, float factor, int *stringSize)
## Protected Methods
| vtkAxisActor2D ()
| ~vtkAxisActor2D ()
virtual void | BuildAxis (vtkViewport *viewport)
virtual void | UpdateAdjustedRange ()
## Static Protected Methods
float | ComputeStringOffset (float width, float height, float theta)
void | SetOffsetPosition (float xTick[3], float theta, int stringHeight, int stringWidth, int offset, vtkActor2D *actor)
## Protected Attributes
vtkTextProperty * | TitleTextProperty
vtkTextProperty * | LabelTextProperty
char * | Title
float | Range [2]
int | NumberOfLabels
char * | LabelFormat
int | AdjustLabels
float | FontFactor
float | LabelFactor
int | TickLength
int | TickOffset
float | AdjustedRange [2]
int | AdjustedNumberOfLabels
int | NumberOfLabelsBuilt
int | AxisVisibility
int | TickVisibility
int | LabelVisibility
int | TitleVisibility
int | LastPosition [2]
int | LastPosition2 [2]
int | LastSize [2]
int | LastMaxLabelSize [2]
vtkTextMapper * | TitleMapper
vtkActor2D * | TitleActor
vtkTextMapper ** | LabelMappers
vtkActor2D ** | LabelActors
vtkPolyData * | Axis
vtkPolyDataMapper2D * | AxisMapper
vtkActor2D * | AxisActor
vtkTimeStamp | AdjustedRangeBuildTime
vtkTimeStamp | BuildTime

## Member Typedef Documentation

typedef vtkActor2D vtkAxisActor2D::Superclass

| Reimplemented from vtkActor2D. Definition at line 86 of file vtkAxisActor2D.h.

## Constructor & Destructor Documentation

vtkAxisActor2D::vtkAxisActor2D | ( |  | ) | `[protected]`

vtkAxisActor2D::~vtkAxisActor2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkAxisActor2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor2D.

int vtkAxisActor2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

virtual int vtkAxisActor2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

vtkAxisActor2D* vtkAxisActor2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor2D.

void vtkAxisActor2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor2D.

vtkAxisActor2D* vtkAxisActor2D::New | ( |  | ) | `[static]`

| Instantiate object. Reimplemented from vtkActor2D.

virtual vtkCoordinate* vtkAxisActor2D::GetPoint1Coordinate | ( |  | ) | `[inline, virtual]`

| Specify the position of the first point defining the axis. Note: backward compatibility only, use vtkActor2D's Position instead. Definition at line 95 of file vtkAxisActor2D.h. References vtkActor2D::GetPositionCoordinate().

virtual void vtkAxisActor2D::SetPoint1 | ( | float | x[2] | ) | `[inline, virtual]`

| Specify the position of the first point defining the axis. Note: backward compatibility only, use vtkActor2D's Position instead. Definition at line 97 of file vtkAxisActor2D.h. References vtkActor2D::SetPosition().

virtual void vtkAxisActor2D::SetPoint1 | ( | float | x,
|  | float | y
| ) | `[inline, virtual]`

| Specify the position of the first point defining the axis. Note: backward compatibility only, use vtkActor2D's Position instead. Definition at line 98 of file vtkAxisActor2D.h. References vtkActor2D::SetPosition().

virtual float* vtkAxisActor2D::GetPoint1 | ( |  | ) | `[inline, virtual]`

| Specify the position of the first point defining the axis. Note: backward compatibility only, use vtkActor2D's Position instead. Definition at line 99 of file vtkAxisActor2D.h. References vtkActor2D::GetPosition().

virtual vtkCoordinate* vtkAxisActor2D::GetPoint2Coordinate | ( |  | ) | `[inline, virtual]`

| Specify the position of the second point defining the axis. Note that the order from Point1 to Point2 controls which side the tick marks are drawn on (ticks are drawn on the right, if visible). Note: backward compatibility only, use vtkActor2D's Position2 instead. Definition at line 107 of file vtkAxisActor2D.h. References vtkActor2D::GetPosition2Coordinate().

virtual void vtkAxisActor2D::SetPoint2 | ( | float | x[2] | ) | `[inline, virtual]`

| Specify the position of the second point defining the axis. Note that the order from Point1 to Point2 controls which side the tick marks are drawn on (ticks are drawn on the right, if visible). Note: backward compatibility only, use vtkActor2D's Position2 instead. Definition at line 109 of file vtkAxisActor2D.h. References vtkActor2D::SetPosition2().

virtual void vtkAxisActor2D::SetPoint2 | ( | float | x,
|  | float | y
| ) | `[inline, virtual]`

| Specify the position of the second point defining the axis. Note that the order from Point1 to Point2 controls which side the tick marks are drawn on (ticks are drawn on the right, if visible). Note: backward compatibility only, use vtkActor2D's Position2 instead. Definition at line 110 of file vtkAxisActor2D.h. References vtkActor2D::SetPosition2().

virtual float* vtkAxisActor2D::GetPoint2 | ( |  | ) | `[inline, virtual]`

| Specify the position of the second point defining the axis. Note that the order from Point1 to Point2 controls which side the tick marks are drawn on (ticks are drawn on the right, if visible). Note: backward compatibility only, use vtkActor2D's Position2 instead. Definition at line 111 of file vtkAxisActor2D.h. References vtkActor2D::GetPosition2().

virtual void vtkAxisActor2D::SetRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify the (min,max) axis range. This will be used in the generation of labels, if labels are visible.

void vtkAxisActor2D::SetRange | ( | float | [2] | ) |

| Specify the (min,max) axis range. This will be used in the generation of labels, if labels are visible.

virtual float* vtkAxisActor2D::GetRange | ( |  | ) | `[virtual]`

| Specify the (min,max) axis range. This will be used in the generation of labels, if labels are visible.

virtual void vtkAxisActor2D::GetRange | ( | float | data[2] | ) | `[virtual]`

| Specify the (min,max) axis range. This will be used in the generation of labels, if labels are visible.

virtual void vtkAxisActor2D::SetNumberOfLabels | ( | int |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show.

virtual int vtkAxisActor2D::GetNumberOfLabels | ( |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show.

virtual void vtkAxisActor2D::SetLabelFormat | ( | const char * |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the scalar bar.

virtual char* vtkAxisActor2D::GetLabelFormat | ( |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the scalar bar.

virtual void vtkAxisActor2D::SetAdjustLabels | ( | int |  | ) | `[virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels.

virtual int vtkAxisActor2D::GetAdjustLabels | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels.

virtual void vtkAxisActor2D::AdjustLabelsOn | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels.

virtual void vtkAxisActor2D::AdjustLabelsOff | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels.

virtual float* vtkAxisActor2D::GetAdjustedRange | ( |  | ) | `[inline, virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels. Definition at line 142 of file vtkAxisActor2D.h.

virtual void vtkAxisActor2D::GetAdjustedRange | ( | float & | _arg1,
|  | float & | _arg2
| ) | `[inline, virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels. Definition at line 147 of file vtkAxisActor2D.h.

virtual void vtkAxisActor2D::GetAdjustedRange | ( | float | _arg[2] | ) | `[inline, virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels. Definition at line 153 of file vtkAxisActor2D.h.

virtual int vtkAxisActor2D::GetAdjustedNumberOfLabels | ( |  | ) | `[inline, virtual]`

| Set/Get the flag that controls whether the labels and ticks are adjusted for "nice" numerical values to make it easier to read the labels. The adjustment is based in the Range instance variable. Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted range and number of labels. Definition at line 157 of file vtkAxisActor2D.h.

virtual void vtkAxisActor2D::SetTitle | ( | const char * |  | ) | `[virtual]`

| Set/Get the title of the scalar bar actor,

virtual char* vtkAxisActor2D::GetTitle | ( |  | ) | `[virtual]`

| Set/Get the title of the scalar bar actor,

virtual void vtkAxisActor2D::SetTitleTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the title text property.

virtual vtkTextProperty* vtkAxisActor2D::GetTitleTextProperty | ( |  | ) | `[virtual]`

| Set/Get the title text property.

virtual void vtkAxisActor2D::SetLabelTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the labels text property.

virtual vtkTextProperty* vtkAxisActor2D::GetLabelTextProperty | ( |  | ) | `[virtual]`

| Set/Get the labels text property.

virtual void vtkAxisActor2D::SetFontFamily | ( | int | val | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkAxisActor2D::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

void vtkAxisActor2D::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 191 of file vtkAxisActor2D.h. References VTK_ARIAL.

void vtkAxisActor2D::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 192 of file vtkAxisActor2D.h. References VTK_COURIER.

void vtkAxisActor2D::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 193 of file vtkAxisActor2D.h. References VTK_TIMES.

virtual void vtkAxisActor2D::SetBold | ( | int | val | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkAxisActor2D::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::SetItalic | ( | int | val | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkAxisActor2D::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::SetShadow | ( | int | val | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkAxisActor2D::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkAxisActor2D::SetTickLength | ( | int |  | ) | `[virtual]`

| Set/Get the length of the tick marks (expressed in pixels or display coordinates).

virtual int vtkAxisActor2D::GetTickLength | ( |  | ) | `[virtual]`

| Set/Get the length of the tick marks (expressed in pixels or display coordinates).

virtual void vtkAxisActor2D::SetTickOffset | ( | int |  | ) | `[virtual]`

| Set/Get the offset of the labels (expressed in pixels or display coordinates). The offset is the distance of labels from tick marks or other objects.

virtual int vtkAxisActor2D::GetTickOffset | ( |  | ) | `[virtual]`

| Set/Get the offset of the labels (expressed in pixels or display coordinates). The offset is the distance of labels from tick marks or other objects.

virtual void vtkAxisActor2D::SetAxisVisibility | ( | int |  | ) | `[virtual]`

| Set/Get visibility of the axis line.

virtual int vtkAxisActor2D::GetAxisVisibility | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis line.

virtual void vtkAxisActor2D::AxisVisibilityOn | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis line.

virtual void vtkAxisActor2D::AxisVisibilityOff | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis line.

virtual void vtkAxisActor2D::SetTickVisibility | ( | int |  | ) | `[virtual]`

| Set/Get visibility of the axis tick marks.

virtual int vtkAxisActor2D::GetTickVisibility | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis tick marks.

virtual void vtkAxisActor2D::TickVisibilityOn | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis tick marks.

virtual void vtkAxisActor2D::TickVisibilityOff | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis tick marks.

virtual void vtkAxisActor2D::SetLabelVisibility | ( | int |  | ) | `[virtual]`

| Set/Get visibility of the axis labels.

virtual int vtkAxisActor2D::GetLabelVisibility | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis labels.

virtual void vtkAxisActor2D::LabelVisibilityOn | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis labels.

virtual void vtkAxisActor2D::LabelVisibilityOff | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis labels.

virtual void vtkAxisActor2D::SetTitleVisibility | ( | int |  | ) | `[virtual]`

| Set/Get visibility of the axis title.

virtual int vtkAxisActor2D::GetTitleVisibility | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis title.

virtual void vtkAxisActor2D::TitleVisibilityOn | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis title.

virtual void vtkAxisActor2D::TitleVisibilityOff | ( |  | ) | `[virtual]`

| Set/Get visibility of the axis title.

virtual void vtkAxisActor2D::SetFontFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls the overall size of the fonts used to label and title the axes. This ivar used in conjunction with the LabelFactor can be used to control font sizes.

virtual float vtkAxisActor2D::GetFontFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls the overall size of the fonts used to label and title the axes. This ivar used in conjunction with the LabelFactor can be used to control font sizes.

virtual void vtkAxisActor2D::SetLabelFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the axis labels to the axis title.

virtual float vtkAxisActor2D::GetLabelFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the axis labels to the axis title.

int vtkAxisActor2D::RenderOverlay | ( | vtkViewport * | viewport | ) | `[virtual]`

| Draw the axis. Reimplemented from vtkActor2D.

int vtkAxisActor2D::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| Draw the axis. Reimplemented from vtkActor2D.

int vtkAxisActor2D::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| Draw the axis. Reimplemented from vtkActor2D. Definition at line 292 of file vtkAxisActor2D.h.

void vtkAxisActor2D::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkActor2D.

void vtkAxisActor2D::ComputeRange | ( | float | inRange[2],
|  | float | outRange[2],
|  | int | inNumTicks,
|  | int & | outNumTicks,
|  | float & | interval
| ) | `[static]`

| This method computes the range of the axis given an input range. It also computes the number of tick marks given a suggested number. (The number of tick marks includes end ticks as well.) The number of tick marks computed (in conjunction with the output range) will yield "nice" tick values. For example, if the input range is (0.25,96.7) and the number of ticks requested is 10, the output range will be (0,100) with the number of computed ticks to 11 to yield tick values of (0,10,20,...,100).

int vtkAxisActor2D::SetFontSize | ( | vtkViewport * | viewport,
|  | vtkTextMapper * | textMapper,
|  | int * | targetSize,
|  | float | factor,
|  | int * | stringSize
| ) | `[static]`

| General method to computes font size from a representative size on the viewport (given by size[2]). The method returns the font size (in points) and the string height/width (in pixels). It also sets the font size of the instance of vtkTextMapper provided. The factor is used when you're trying to create text of different size-factor (it is usually = 1 but you can adjust the font size by making factor larger or smaller).

int vtkAxisActor2D::SetMultipleFontSize | ( | vtkViewport * | viewport,
|  | vtkTextMapper ** | textMappers,
|  | int | nbOfMappers,
|  | int * | targetSize,
|  | float | factor,
|  | int * | stringSize
| ) | `[static]`

| General method to computes font size from a representative size on the viewport (given by size[2]). The method returns the font size (in points) and the string height/width (in pixels). It also sets the font size of the instance of vtkTextMapper provided. The factor is used when you're trying to create text of different size-factor (it is usually = 1 but you can adjust the font size by making factor larger or smaller).

void vtkAxisActor2D::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of an axis actor. Overloads the virtual vtkProp method. Reimplemented from vtkActor2D.

virtual void vtkAxisActor2D::BuildAxis | ( | vtkViewport * | viewport | ) | `[protected, virtual]`

float vtkAxisActor2D::ComputeStringOffset | ( | float | width,
|  | float | height,
|  | float | theta
| ) | `[static, protected]`

void vtkAxisActor2D::SetOffsetPosition | ( | float | xTick[3],
|  | float | theta,
|  | int | stringHeight,
|  | int | stringWidth,
|  | int | offset,
|  | vtkActor2D * | actor
| ) | `[static, protected]`

virtual void vtkAxisActor2D::UpdateAdjustedRange | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

vtkTextProperty* vtkAxisActor2D::TitleTextProperty`[protected]`

| Definition at line 344 of file vtkAxisActor2D.h.

vtkTextProperty* vtkAxisActor2D::LabelTextProperty`[protected]`

| Definition at line 345 of file vtkAxisActor2D.h.

char* vtkAxisActor2D::Title`[protected]`

| Definition at line 347 of file vtkAxisActor2D.h.

float vtkAxisActor2D::Range[2]`[protected]`

| Definition at line 348 of file vtkAxisActor2D.h.

int vtkAxisActor2D::NumberOfLabels`[protected]`

| Definition at line 349 of file vtkAxisActor2D.h.

char* vtkAxisActor2D::LabelFormat`[protected]`

| Definition at line 350 of file vtkAxisActor2D.h.

int vtkAxisActor2D::AdjustLabels`[protected]`

| Definition at line 351 of file vtkAxisActor2D.h.

float vtkAxisActor2D::FontFactor`[protected]`

| Definition at line 352 of file vtkAxisActor2D.h.

float vtkAxisActor2D::LabelFactor`[protected]`

| Definition at line 353 of file vtkAxisActor2D.h.

int vtkAxisActor2D::TickLength`[protected]`

| Definition at line 354 of file vtkAxisActor2D.h.

int vtkAxisActor2D::TickOffset`[protected]`

| Definition at line 355 of file vtkAxisActor2D.h.

float vtkAxisActor2D::AdjustedRange[2]`[protected]`

| Definition at line 357 of file vtkAxisActor2D.h.

int vtkAxisActor2D::AdjustedNumberOfLabels`[protected]`

| Definition at line 358 of file vtkAxisActor2D.h.

int vtkAxisActor2D::NumberOfLabelsBuilt`[protected]`

| Definition at line 359 of file vtkAxisActor2D.h.

int vtkAxisActor2D::AxisVisibility`[protected]`

| Definition at line 361 of file vtkAxisActor2D.h.

int vtkAxisActor2D::TickVisibility`[protected]`

| Definition at line 362 of file vtkAxisActor2D.h.

int vtkAxisActor2D::LabelVisibility`[protected]`

| Definition at line 363 of file vtkAxisActor2D.h.

int vtkAxisActor2D::TitleVisibility`[protected]`

| Definition at line 364 of file vtkAxisActor2D.h.

int vtkAxisActor2D::LastPosition[2]`[protected]`

| Definition at line 366 of file vtkAxisActor2D.h.

int vtkAxisActor2D::LastPosition2[2]`[protected]`

| Definition at line 367 of file vtkAxisActor2D.h.

int vtkAxisActor2D::LastSize[2]`[protected]`

| Definition at line 369 of file vtkAxisActor2D.h.

int vtkAxisActor2D::LastMaxLabelSize[2]`[protected]`

| Definition at line 370 of file vtkAxisActor2D.h.

vtkTextMapper* vtkAxisActor2D::TitleMapper`[protected]`

| Definition at line 378 of file vtkAxisActor2D.h.

vtkActor2D* vtkAxisActor2D::TitleActor`[protected]`

| Definition at line 379 of file vtkAxisActor2D.h.

vtkTextMapper** vtkAxisActor2D::LabelMappers`[protected]`

| Definition at line 381 of file vtkAxisActor2D.h.

vtkActor2D** vtkAxisActor2D::LabelActors`[protected]`

| Definition at line 382 of file vtkAxisActor2D.h.

vtkPolyData* vtkAxisActor2D::Axis`[protected]`

| Definition at line 384 of file vtkAxisActor2D.h.

vtkPolyDataMapper2D* vtkAxisActor2D::AxisMapper`[protected]`

| Definition at line 385 of file vtkAxisActor2D.h.

vtkActor2D* vtkAxisActor2D::AxisActor`[protected]`

| Definition at line 386 of file vtkAxisActor2D.h.

vtkTimeStamp vtkAxisActor2D::AdjustedRangeBuildTime`[protected]`

| Definition at line 388 of file vtkAxisActor2D.h.

vtkTimeStamp vtkAxisActor2D::BuildTime`[protected]`

| Definition at line 389 of file vtkAxisActor2D.h.

The documentation for this class was generated from the following file:

- Rendering/vtkAxisActor2D.h